<?php

  if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
  
  global $sugar_version, $sugar_config, $current_user, $app_strings, $mod_strings;
  require_once('modules/EcmCalls/EcmCall.php');
  require_once('modules/EcmCalls/Forms.php');
  require_once ('include/time.php');
  require_once('include/json_config.php');

  $focus = new EcmCall();   
  
  if(isset($_REQUEST['record'])) {
    $focus->retrieve($_REQUEST['record']);
    //$focus->format_all_fields();
  } else {}
  
  require_once('include/MVC/View/SugarView.php');  
  require_once('include/MVC/View/views/view.detail.php');
  $detail = new ViewDetail();
  $detail->bean = $focus;
  $detail->preDisplay();        
  
		require_once('modules/Currencies/Currency.php');
		$currency = new Currency();
		$currency->retrieve($focus->currency_id);
		$detail->ss->assign("CURRENCY_NAME", $currency->name);
		$detail->ss->assign("CURRENCY_SYMBOL", $currency->symbol);
  
  echo $detail->display();

  //subpanel init
  require_once('include/SubPanel/SubPanelTiles.php');
  $subpanel = new SubPanelTiles($focus, 'EcmCalls');
  echo $subpanel->display();

?>